[cim PATCH 2/3] autogen: Run configure automatically

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



This is in line with pretty much all libvirt-related projects,
is entirely compatible with the old behavior and will enable
some simplifications in the CI setup.

Signed-off-by: Andrea Bolognani <abologna@xxxxxxxxxx>
---
 autogen.sh | 12 +++++++++++-
 1 file changed, 11 insertions(+), 1 deletion(-)

diff --git a/autogen.sh b/autogen.sh
index 5b2e4dc..a04e4e6 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -31,4 +31,14 @@ else
     echo "0" > .revision
 fi
 
-echo "You may now run ./configure"
+if test "$#" -eq 0; then
+    echo "Running configure without arguments ..."
+    echo "(If you want to pass any, specify them on the $0 command line)"
+else
+    echo "Running configure with $@ ..."
+fi
+
+"$srcdir/configure" "$@" || die
+
+echo
+echo "You may now run make"
-- 
2.14.3

--
libvir-list mailing list
libvir-list@xxxxxxxxxx
https://www.redhat.com/mailman/listinfo/libvir-list



[Index of Archives]     [Virt Tools]     [Libvirt Users]     [Lib OS Info]     [Fedora Users]     [Fedora Desktop]     [Fedora SELinux]     [Big List of Linux Books]     [Yosemite News]     [KDE Users]     [Fedora Tools]
  Powered by Linux